> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getkard.com/2024-10-01/api/organizations/children/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server. # List GET https://rewards-api.getkard.com/v2/issuers/{organizationId}/children List child organizations belonging to the authenticated issuer Reference: https://docs.getkard.com/api/organizations/children/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://rewards-api.getkard.com` (Production, default) - `https://test-rewards-api.getkard.com` (Sandbox) ## Request ### Path parameters - `organizationId` (string, required) — Unique identifier of the parent organization ### Query parameters - `page[after]` (string, optional) — Cursor value for the next page of results - `page[size]` (integer, optional) — Maximum number of records to return [1 - 200] (default = 200) ## Response ### 200 Paginated list of child organizations - `data` (list of ChildOrganizationResponse, required) — Array of child organization resources - `links` (Links, optional) — Related links to the API call - `meta` (OrganizationPaginationMetadata, optional) — Pagination metadata ## Errors ### 401 Unauthorized Error - `errors` (list of ErrorObject, required) ### 403 Forbidden Error - `errors` (list of ErrorObject, required) ### 404 Does Not Exist Error - `errors` (list of ErrorObject, required) ### 500 Internal Server Error - `errors` (list of ErrorObject, required) ## Types ### ChildOrganizationResponse Child organization resource response - `type` ("organization", required) - `id` (string, required) — Unique identifier of the child organization - `attributes` (ChildOrganizationAttributes, required) — Limited set of child organization attributes exposed to external consumers ### Links Related links to the API call - `self` (string, required) - `prev` (string, optional) - `next` (string, optional) ### OrganizationPaginationMetadata Pagination metadata for organization list responses - `pageSize` (integer, required) — Number of items per page - `hasNextPage` (boolean, required) — Whether more pages are available ### ErrorObject - `status` (string, required) — Status code returned from the request - `title` (string, required) — Name of error - `detail` (string, required) — Description of the specific occurance of the error - `source` (ErrorSource, optional) — An object containing a reference to the primary source of the error - `id` (string, optional) — The id of the resource which caused the error. Always returned for multi-status errors. ### ChildOrganizationAttributes Limited set of child organization attributes exposed to external consumers - `name` (string, required) — Name of the child organization (at least one letter; letters and spaces only) - `bins` (list of string, required) — Bank Identification Numbers for the child organization - `externalId` (string, optional) — External identifier for the child organization ### ErrorSource - `pointer` (string, optional) — A JSON pointer to the value in the request document that caused the error - `parameter` (string, optional) — A string indicating which URI query parameter caused the error - `header` (string, optional) — A string indicating the name of a single request header which caused the error ## Examples **Response** ```json { "data": [ { "type": "organization", "id": "id", "attributes": { "name": "name", "bins": [ "bins", "bins" ], "externalId": "externalId" } }, { "type": "organization", "id": "id", "attributes": { "name": "name", "bins": [ "bins", "bins" ], "externalId": "externalId" } } ], "links": { "self": "self", "prev": "prev", "next": "next" }, "meta": { "pageSize": 1, "hasNextPage": true } } ``` **SDK Code** ```python import requests url = "https://rewards-api.getkard.com/v2/issuers/organizationId/children" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rewards-api.getkard.com/v2/issuers/organizationId/children'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://rewards-api.getkard.com/v2/issuers/organizationId/children" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rewards-api.getkard.com/v2/issuers/organizationId/children") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://rewards-api.getkard.com/v2/issuers/organizationId/children") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://rewards-api.getkard.com/v2/issuers/organizationId/children', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/organizationId/children"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/organizationId/children")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```